SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   file Vendors:   Darwin, Ian F.
file Integer Overflow in file_printf() May Let Local Users Execute Arbitrary Code
SecurityTracker Alert ID:  1018140
SecurityTracker URL:  http://securitytracker.com/id/1018140
CVE Reference:   CVE-2007-2799   (Links to External Site)
Date:  May 30 2007
Impact:   Execution of arbitrary code via local system, User access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 4.20
Description:   A vulnerability was reported in file. A local user may be able to obtain elevated privileges on the target system.

The fix for CVE-2007-1536 [Alert ID 1017796] introduced an integer overflow condition. A local user may be able to execute arbitrary code on the target system.

Colin Percival discovered this vulnerability.

Impact:   A local user may be able to obtain elevated privileges on the target system.
Solution:   The vendor has issued a fixed version (4.21).

[Editor's note: The fixed version should be available at ftp://ftp.astron.com/pub/file/file-4.21.tar.gz but the server was busy at the time of this entry and the URL could not be confirmed.]

Cause:   Boundary error
Underlying OS:   Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
May 30 2007 (Red Hat Issues Fix) file Integer Overflow in file_printf() May Let Local Users Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has released a fix for Red Hat Enterprise Linux 4 and 5.
Feb 29 2008 (NetBSD Issues Fix) file Integer Overflow in file_printf() May Let Local Users Execute Arbitrary Code   (NetBSD Security-Officer <security-officer@NetBSD.org>)
NetBSD has released a fix for NetBSD 2.0, 2.1, 3.0, 3.0.1, 3.0.2, and 3.1.



 Source Message Contents

Date:  Wed, 30 May 2007 07:45:16 -0400
Subject:  file


https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=241022

> Bugzilla Bug 241022: CVE-2007-2799 file integer overflow
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC